## partman-crypto 17

=== blockdev-wipe/Makefile ===
CFLAGS = -Wall -Os -s

blockdev-wipe: blockdev-wipe.c
	$(CC) $(CFLAGS) -o $@ $< 
	strip -s $@

clean:
	-rm blockdev-wipe

## partman-crypto 11

=== debian/changelog ===
partman-crypto (11) unstable; urgency=low

  [ David Härdeman ]
  * Make partman-crypto-dm and partman-crypto-loop not installed by
    default and instead do on-demand loading in d-i (closes: #384532)

  [ Max Vozeler ]
  * Some minor code cleanups

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş

 -- Max Vozeler <xam@debian.org>  Mon, 28 Aug 2006 20:35:57 +0200

partman-crypto (10) unstable; urgency=low

  [ Max Vozeler ]
  * Drop leading "_dev_" from the name of loop-AES keyfiles
  * Yes/no choices for erase data can be translated. Thanks to
    Miroslav Kure. Closes: #382605
  * Limit key sizes for dm-crypt/blowfish. Closes: #381981
  * Add lintian override for no-standards-version-field
  * Check for unencrypted swap in commit.d/unsafe_swap to catch
    setup after encrypted devices. Closes: #381870
  * Set name of dm-crypt devices according to the underlying 
    block devices (e.g. hda5_crypt). Closes: #382398

  [ David Härdeman ]
  * Only set the tmp option in crypttab if /tmp is on a random keyed
    mapping (closes: #382374)

  [ Colin Watson ]
  * Use /dev/loop$n if the /dev/loop directory doesn't exist.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Khmer (km.po) by Khoem Sokhem
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Max Vozeler <xam@debian.org>  Mon, 21 Aug 2006 14:42:53 +0200

partman-crypto (9) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-wipe: Open the device with O_SYNC to avoid
    out-of-memory situations during partition erase, which appear
    to be caused by overcommit and a large number of queued
    requests. As a side-effect this helps to provide accurate
    information in the progressbar. Closes: #381135

  * blockdev-wipe: To compensate for the performance impact
    of O_SYNC increase blocksize from 4k to 64k.

  * crypto_tools.sh: Use 128 bit (instead of 256 bit) 
    random key when setting up dm-crypt for partition erase.
    This should speed up erase a bit. Also take the key from
    /dev/urandom so we don't risk a blocking read.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Polish (pl.po) by Bartosz Fenski
  * Tagalog (tl.po) by Eric Pareja
  * Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Thu,  3 Aug 2006 09:27:11 +0200

partman-crypto (8) unstable; urgency=low

  [ David Härdeman ]
  * Rename some files to make their purpose clearer.
  * Depend on base-installer to install cryptsetup when necessary before
    the initramfs is generated (requires base-installer 1.61).

  [ Max Vozeler ]
  * Add loop-AES ciphers to /etc/modules. Closes: #378687

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Panjabi; Punjabi (pa.po) by A S Alam
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Tue, 18 Jul 2006 17:52:02 +0200

partman-crypto (7) unstable; urgency=low

  [ Max Vozeler ]
  * Switch default crypto system to dm-crypt

  [ David Härdeman ]
  * Re-add accidentally removed partman-crypto-loop dependency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Czech (cs.po) by Miroslav Kure
  * Macedonian (mk.po) by Georgi Stanojevski
  * Polish (pl.po) by Bartosz Fenski

 -- Frans Pop <fjp@debian.org>  Wed, 28 Jun 2006 23:00:11 +0200

partman-crypto (6) unstable; urgency=low

  [ David Härdeman ]
  * Switch from prebaseconfig.d to finish-install.d
  * Lock partition when crypto mapping is setup
  * Improve defaults setting code to only consider available crypto-
    types
  * Move some functionality from choose_partition/crypto/do_option to
    crypto_tools.sh for use by partman-auto-crypto.
  * Change default fs from ext2 to ext3.
  * Use the generic confirm_changes from partman-base
    (needs partman-base 87).

  [ Max Vozeler ]
  * Build arch-all packages in binary-indep
  * debian/control: Standards-Version is not used for udebs

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Stefano Canepa
  * Khmer (km.po) by Khoem Sokhem
  * Lithuanian (lt.po) by Kęstutis Biliūnas


=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: standard
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)

Package: partman-crypto
XC-Package-Type: udeb
Architecture: any
Depends: partman-base (>= 87), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: partman-crypto, crypto-modules, cryptsetup-udeb, cdebconf-newt-entropy (>= 0.3)
Description: Add to partman support for dm-crypt encryption

Package: partman-crypto-loop
XC-Package-Type: udeb
Architecture: all
Priority: optional
Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb, cdebconf-newt-entropy (>= 0.3)
Description: Add to partman support for loop-AES encryption

## partman-crypto 17

=== debian/changelog ===
partman-crypto (17) unstable; urgency=low

  [ Updated translations ]
  * Dutch (nl.po) by Bart Cornelis

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:58:50 +0200

partman-crypto (16) unstable; urgency=low

  [ Frans Pop ]
  * crypto_tools.sh: quote variable to avoid syntax error.
  * Ask for passphrase and passphrase confirmation in one db_go.
  * Change template type for empty passphrase to error.

  [ Max Vozeler ]
  * blockdev-keygen: Kill writer pipes on failure and move the
    check for the entropy plugin to the start.
  * Show short name of the crypto device in the mountpoint column
    of the corresponding partition. Closes: #381968, #393919

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Allow safe-swap checks to walk the entire device-mapper tree,
    meaning that swap-on-whatever-on-crypto is now ok. Loosely based
    on a patch from James Westby <jw+debian@jameswestby.net>.
    Closes: #392080

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Icelandic (is.po) by David Steinn Geirsson
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Max Vozeler <xam@debian.org>  Sun, 22 Oct 2006 23:49:42 +0200

partman-crypto (15) unstable; urgency=low

  [ David Härdeman ]
  * Remove some hardcoded paths
  * Change order of tests in crypto_prepare_method. Closes: 390568

  [ Max Vozeler ]
  * finish-install.d/05crypto: Install either loop-aes-$KVERS or
    loop-aes-modules-$KVERS

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Estonian (et.po) by Siim Põder
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÁC Attila
  * Khmer (km.po) by Khoem Sokhem
  * Romanian (ro.po) by Eddy Petrişor
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sat,  7 Oct 2006 19:37:49 +0200

partman-crypto (14) unstable; urgency=low

  [ David Härdeman ]
  * Add fixes for udeb-on-demand loading. Closes: #389456

  [ Max Vozeler ]
  * No need to check for plugin-entropy-text.so as we already
    check db_capb

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Italian (it.po) by Giuseppe Sacco
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Albanian (sq.po) by Elian Myftiu
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Max Vozeler <xam@debian.org>  Thu, 28 Sep 2006 08:26:35 +0200

partman-crypto (13) unstable; urgency=low

  [ David Härdeman ]
  * Split low memory check into a separate function

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 21:43:28 +0200

partman-crypto (12) unstable; urgency=low

  [ David Härdeman ]
  * Allow swap-on-lvm-on-crypto. Closes: 385927

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Slovenian (sl.po) by Jure Čuhalev
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Max Vozeler <xam@debian.org>  Mon, 11 Sep 2006 07:47:49 +0200

## partman-crypto 20

=== debian/changelog ===
partman-crypto (20) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 18:19:53 +0100

partman-crypto (19) unstable; urgency=low

  [ Christian Perrier ]
  * Replace "bootloader" by "boot loader" in templates for overall writing style
    consistency.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by drtvasudevan

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 12:23:23 +0100

partman-crypto (18) unstable; urgency=low

  [ David Härdeman ]
  * Remove scary warnings in preparation for RC2

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:32:02 +0100

## partman-crypto 20etch1

=== base64/Makefile ===
CFLAGS = -Wall -Os -s

all: base64 test

base64: base64.c
	$(CC) $(CFLAGS) -o $@ $< 
	strip -s $@

test: base64 test-stamp
test-stamp:
	@set -e; \
	echo "Running self-tests"; \
	for t in tests/case*; do \
		num=$${t#tests/case}; \
		echo "  $${t}..."; \
		./base64 < $$t > out$$num; \
		cmp tests/want$$num out$$num; \
		rm out$$num; \
	done
	touch test-stamp

clean:
	-rm base64 test-stamp

=== debian/changelog ===
partman-crypto (20etch1) stable; urgency=low

  [ Frans Pop ]
  * For hd-media installs the module loop will already be loaded, which
    prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
    by unmounting the CD image, replacing the module and remounting the image.
    As losetup is not available, we cannot check what exactly is loop-mounted,
    so we just assume that loop is only used for a CD image.
    Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 21 Sep 2007 11:45:11 +0200

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
+XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
 
 Package: partman-crypto
 XC-Package-Type: udeb

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = partman-crypto

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) -C base64
	$(MAKE) -C blockdev-wipe
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(MAKE) -C base64 clean
	$(MAKE) -C blockdev-wipe clean
	rm -f build-stamp
	rm -f `find . -name '*~'`
	dh_clean

install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_install -p $(PACKAGE)-dm ciphers/dm-crypt lib/partman/ciphers
	dh_install -p $(PACKAGE)-loop ciphers/loop-AES lib/partman/ciphers
	rm -rf `find debian/$(PACKAGE)-dm debian/$(PACKAGE)-loop -name .svn`

install-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	debian/install-rc init.d
	debian/install-rc commit.d
	debian/install-rc choose_partition
	debian/install-rc choose_method
	debian/install-rc active_partition
	debian/install-rc update.d
	debian/install-rc finish.d
	dh_install finish-install.d usr/lib
	dh_install crypto_tools.sh lib/partman
	dh_install base64/base64 bin/
	dh_install blockdev-keygen bin/
	dh_install blockdev-wipe/blockdev-wipe bin/
	rm -rf `find debian/$(PACKAGE) -name .svn`

binary-indep: install-indep
	dh_testdir 
	dh_testroot
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: build install-arch
	dh_testdir 
	dh_testroot
	dh_installdebconf -s
	dh_fixperms -s
	dh_installdeb -s
	dh_shlibdeps -s
	dh_gencontrol -s
	dh_builddeb -s

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## partman-crypto 21ubuntu3

=== debian/changelog ===
partman-crypto (21ubuntu3) gutsy; urgency=low

  * Disable partition erasing by default, as it's very slow and only of
    moderate value (LP: #151244).
  * Warn that the passphrase cannot be recovered if lost (helps with LP
    #151264).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 12 Oct 2007 14:51:34 +0100

partman-crypto (21ubuntu2) gutsy; urgency=low

  * Skip loading partman-crypto-loop for now, as we don't support it in
    Ubuntu (thanks, Loïc Minier).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 03 Oct 2007 13:30:14 +0100

partman-crypto (21ubuntu1) gutsy; urgency=low

  * write out /etc/crypttab using UUIDs, like we do for /etc/fstab

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 Sep 2007 15:12:51 +0200

partman-crypto (21) unstable; urgency=low

  [ Frans Pop ]
  * Move "Use as" option together with raid and lvm. Closes: #414411.
  * Move deletion of SVN directories to install-rc script.
  * Improve the way install-rc is called.

  [ Colin Watson ]
  * Move sanity-checking scripts from finish.d to check.d. Requires
    partman-base 106.

  [ Max Vozeler ]
  * Remove leftover .svn directories from partman-crypto

 -- Max Vozeler <xam@debian.org>  Tue, 22 May 2007 21:14:50 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: standard
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
 XS-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
@@ -9,7 +10,7 @@
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 87), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 106), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PACKAGE = partman-crypto
+export PACKAGE = partman-crypto
 
 build: build-stamp
 build-stamp:
@@ -36,6 +36,7 @@
 	dh_testroot
 	dh_clean -k
 	debian/install-rc init.d
+	debian/install-rc check.d
 	debian/install-rc commit.d
 	debian/install-rc choose_partition
 	debian/install-rc choose_method

## partman-crypto 25ubuntu2

=== base64/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	$(CC) $(CFLAGS) -o $@ $< 
 	strip -s $@
 
-test: base64 test-stamp
-test-stamp:
+test: test-stamp
+test-stamp: base64
 	@set -e; \
 	echo "Running self-tests"; \
 	for t in tests/case*; do \
@@ -20,4 +20,4 @@
 	touch test-stamp
 
 clean:
-	-rm base64 test-stamp
+	rm -f base64 test-stamp

=== blockdev-wipe/Makefile ===
--- 
+++ 
@@ -5,4 +5,4 @@
 	strip -s $@
 
 clean:
-	-rm blockdev-wipe
+	rm -f blockdev-wipe

=== debian/changelog ===
partman-crypto (25ubuntu2) hardy; urgency=low

  * Disable partition erasing by default again. The cancel button has poor
    UI (see LP #188085, #218912) which makes it hard to rely on it.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 18 Apr 2008 15:14:43 +0100

partman-crypto (25ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Warn that the passphrase cannot be recovered if lost.
  * Re-enable partition erasing by default; it's now cancellable, which
    solves the same problem.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 12 Dec 2007 10:58:42 +0000

partman-crypto (25) unstable; urgency=low

  * Moved definitions.sh to ./lib/base.sh.
  * Move crypto-tools.sh to ./lib/crypto-base.
  * finish.d/crypto_config: fix script error when $tmp is empty.
  * crypto-base.sh: use new memfree function from base.sh.
  * Change priority to optional to allow dynamic loading by partman-base.
  * Requires partman-base (>= 114).

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Tue, 11 Dec 2007 14:01:41 +0100

partman-crypto (24ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
  * Add Vcs-Bzr for Ubuntu; rename Vcs-Svn to Original-Vcs-Svn.

 -- Evan Dandrea <evand@ubuntu.com>  Tue, 11 Dec 2007 10:46:47 -0500

partman-crypto (24) unstable; urgency=low

  [ Max Vozeler ]
  * Use veto_filesystems to allow only ext2 on crypto devices with random
    keys. This is only effective with partman-basicmethods 36 or later.
    Closes: #414638.
  * Replace code to commit partman changes to disk with call to
    commit_changes from partman-base (>= 113) and version the dependency
    accordingly.

  [ Frans Pop ]
  * Rename functions dev_wipe and wipe to be in crypto namespace.
  * Remove progresscancel capability again after erase progress bar to avoid
    all following progress bars to become cancelable as well. Ensure backup
    capability is retained.

  [ Updated translations ]
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ

 -- Frans Pop <fjp@debian.org>  Wed, 05 Dec 2007 13:18:55 +0100

partman-crypto (23) unstable; urgency=low

  [ Colin Watson ]
  * Reduce noise from repeated 'debian/rules clean' runs.

  [ Max Vozeler ]
  * Correct dependencies in base64/Makefile; Thanks to 
    Robert Millan for report + patch. Closes: #452830
  * Drop use of the obsolete /dev/loop/ directory
  * Make erase cancellable. Closes: #381898, #400034

  [ Updated translations ]
  * Belarusian (be.po) by Hleb Rubanau
  * Italian (it.po) by Stefano Canepa
  * Korean (ko.po) by Sunjae Park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Slovak (sk.po) by Ivan Masár

 -- Max Vozeler <xam@debian.org>  Sun, 25 Nov 2007 17:01:43 +0100

partman-crypto (22ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - write out /etc/crypttab using UUIDs, like we do for /etc/fstab
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu (thanks, Loïc Minier).
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 28 Nov 2007 12:02:14 -0500

partman-crypto (22) unstable; urgency=low

  [ Frans Pop ]
  * For hd-media installs the module loop will already be loaded, which
    prevents loop-aes from being loaded. Attempt to replace loop with loop-aes
    by unmounting the CD image, replacing the module and remounting the image.
    As losetup is not available, we cannot check what exactly is loop-mounted,
    so we just assume that loop is only used for a CD image.
    Many thanks to Nemui Ailin for identifying the issue. Closes: #434027.

  [ Colin Watson ]
  * Use 'mkdir -p' rather than more awkward test-then-create constructions.

 -- Max Vozeler <xam@debian.org>  Sun, 12 Aug 2007 20:31:48 +0200

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
XS-Original-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu

Package: partman-crypto
XC-Package-Type: udeb
Architecture: any
Depends: partman-base (>= 114), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, cryptsetup-udeb, cdebconf-newt-entropy (>= 0.3)
Description: Add to partman support for dm-crypt encryption

Package: partman-crypto-loop
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb, cdebconf-newt-entropy (>= 0.3)
Description: Add to partman support for loop-AES encryption

=== debian/rules ===
--- 
+++ 
@@ -44,10 +44,11 @@
 	debian/install-rc update.d
 	debian/install-rc finish.d
 	dh_install finish-install.d usr/lib
-	dh_install crypto_tools.sh lib/partman
+	dh_install lib lib/partman
 	dh_install base64/base64 bin/
 	dh_install blockdev-keygen bin/
 	dh_install blockdev-wipe/blockdev-wipe bin/
+	dh_install veto_filesystems lib/partman
 	rm -rf `find debian/$(PACKAGE) -name .svn`
 
 binary-indep: install-indep

## partman-crypto 32ubuntu2

=== debian/changelog ===
partman-crypto (32ubuntu2) intrepid; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 12 Oct 2008 00:08:53 +0100

partman-crypto (32ubuntu1) intrepid; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 16 May 2008 09:34:43 +0200

partman-crypto (32) unstable; urgency=low

  [ Updated translations ]
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Hebrew (he.po) by Lior Kaplan
  * Indonesian (id.po) by Arief S Fitrianto
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug

 -- Otavio Salvador <otavio@debian.org>  Thu, 08 May 2008 01:01:48 -0300

partman-crypto (31) unstable; urgency=low

  [ Max Vozeler ]
  * blockdev-keygen: Set backup capability to allow the entropy
    dialog to be cancelled.
  * Consistently use /dev/urandom for volatile one-time keys (key
    type "random") with dm-crypt.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Hungarian (hu.po) by SZERVÁC Attila
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Max Vozeler <xam@debian.org>  Sun, 04 May 2008 22:08:33 +0200

partman-crypto (30) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix loading of additional packages:
    - make crypto_load_udebs() take more than one argument,
    - properly pluralize "packages" in crypto_prepare_method().
  * Remove partman-crypto-{dm,loop} dependency on cdebconf-entropy:
    anna does not handle depencies on virtual package correctly yet.

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * French (fr.po) by Christian Perrier
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 18 Apr 2008 18:10:50 +0200

partman-crypto (29) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Make partman-crypto-dm and parman-crypto-loop depends on the virtual
    cdebconf-entropy instead of cdebconf-newt-entropy to be independant of the
    frontend used.  Requires cdebconf-entropy (>= 0.7).
  * Add partman-crypto/entropy-success template which will be be displayed
    when enough entropy has been gathered.
  * Use the "entropy" question type instead of "entropy-text".
  * Substitute FIFO and SUCCESS variables before displaying
    partman-crypto/entropy.

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po)
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Gujarati (gu.po) by Kartik Mistry
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Marathi (mr.po)
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Brar
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 14 Apr 2008 23:39:54 +0200

partman-crypto (28) unstable; urgency=low

  [ Max Vozeler ]
  * Allow install onto loop-AES encrypted root. Closes: #381895
  * check.d/crypto_check_mountpoints: quote $mnt as it
    may be empty. Closes: #468739
  * commit.d/unsafe_swap: replace open-coded check for
    swap on dm-crypt with call to dm_is_safe(). Closes: #468738
  * Regenerate the initramfs for root on loop-AES.
  * Make veto_filesystems/crypto executable so that it
    actually gets used.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Esperanto (eo.po) by Serge Leblanc
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Thai (th.po) by Theppitak Karoonboonyanan

 -- Max Vozeler <xam@debian.org>  Sat, 08 Mar 2008 17:35:48 +0100

partman-crypto (27) unstable; urgency=low

  [ Updated translations ]
  * Finnish (fi.po) by Esko Arajärvi
  * Hindi (hi.po) by Kumar Appaiah
  * Indonesian (id.po) by Arief S Fitrianto
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Viesturs Zarins
  * Dutch (nl.po) by Frans Pop
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Slovak (sk.po) by Ivan Masár
  * Turkish (tr.po) by Recai Oktaş
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Otavio Salvador <otavio@debian.org>  Fri, 15 Feb 2008 08:57:42 -0200

partman-crypto (26) unstable; urgency=low

  * crypto-base.sh: source new function library ./lib/commit.sh.
    Requires partman-base (>= 115).

  [ Updated translations ]
  * Amharic (am.po) by tegegne tefera


=== debian/control ===
--- 
+++ 
@@ -17,11 +17,11 @@
 Package: partman-crypto-dm
 XC-Package-Type: udeb
 Architecture: all
-Depends: partman-crypto, crypto-modules, cryptsetup-udeb, cdebconf-newt-entropy (>= 0.3)
+Depends: partman-crypto, crypto-modules, cryptsetup-udeb
 Description: Add to partman support for dm-crypt encryption
 
 Package: partman-crypto-loop
 XC-Package-Type: udeb
 Architecture: all
-Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb, cdebconf-newt-entropy (>= 0.3)
+Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb
 Description: Add to partman support for loop-AES encryption

## partman-crypto 36

=== debian/changelog ===
partman-crypto (36) unstable; urgency=low

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Bosnian (bs.po) by Armin Besirovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po)
  * Esperanto (eo.po) by Felipe Castro
  * Hebrew (he.po) by Omer Zak
  * Hindi (hi.po) by Kumar Appaiah
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Central Khmer (km.po) by KHOEM Sokhem
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Arangel Angov
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Russian (ru.po) by Yuri Kozlov
  * Albanian (sq.po) by Elian Myftiu
  * Serbian (sr.po) by Veselin Mijušković
  * Tamil (ta.po) by Dr.T.Vasudevan
  * Ukrainian (uk.po) by Євгеній Мещеряков
  * Simplified Chinese (zh_CN.po) by Deng Xiyue

 -- Otavio Salvador <otavio@debian.org>  Sun, 21 Sep 2008 21:09:33 -0300

partman-crypto (35) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Preserve "align" capability in call_entropy_plugin().

  [ Updated translations ]
  * Greek, Modern (el.po) by Emmanuel Galatoulas
  * Kurdish (ku.po) by Erdal Ronahi
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 25 Aug 2008 21:10:59 +0200

partman-crypto (34) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Divide the progress bar in 65536 parts when erasing disk data.
    The previous setting (100) was a bit low to allow reactive cancellation.
    (Closes: #492899)
  * Update to the new debconf_select interface.
    Requires partman-base (>= 124).
  * Preserve "align" capability in crypto_do_wipe() and after running
    anna-install in crypto_load_udebs().
    Requires cdebconf (>= 0.133).
  * Use cdebconf's new column alignment feature for active_partition.
    Requires partman-base (>= 124).

  [ Frans Pop ]
  * finish-install.d: loop-aes-* packages are obsolete, only try to install
    loop-aes-modules-* packages.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Croatian (hr.po) by Josip Rodin
  * Turkish (tr.po) by Mert Dirik
	
 -- Otavio Salvador <otavio@debian.org>  Tue, 05 Aug 2008 13:51:40 -0300

partman-crypto (33) unstable; urgency=low

  [ Max Vozeler ]
  * The dm_crypt module is moving into a separate package
    crypto-dm-modules starting with kernel udebs for 2.6.25-2.
    Make partman-crypto-dm depend on it.
  * Only reset crypto options when changing the crypto type.

  [ Frans Pop ]
  * Move Encryption method above new divider in partition options dialog.
    This is an indicator to users that other options depend on the selected
    encryption method (see #478598).
  * Add note in dialog that changing the encryption method will reset other
    fields to their defaults. Closes: #478598.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Belarusian (be.po) by Pavel Piatruk
  * Bulgarian (bg.po) by Damyan Ivanov
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay(Bongop) (DIT,BHUTAN)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Iñaki Larrañaga Murgoitio
  * Finnish (fi.po) by Esko Arajärvi
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Indonesian (id.po) by Arief S Fitrianto
  * Japanese (ja.po) by Kenshi Muto
  * Korean (ko.po) by Changwoo Ryu
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Malayalam (ml.po) by Praveen|പ്രവീണ്‍ A|എ
  * Marathi (mr.po) by Sampada
  * Norwegian Bokmål (nb.po) by Hans Fredrik Nordhaug
  * Dutch (nl.po) by Bart Cornelis
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrișor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Ivan Masár
  * Slovenian (sl.po) by Matej Kovacic
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Mert Dirik
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Wed, 16 Jul 2008 13:55:30 +0200

=== debian/control ===
Source: partman-crypto
Section: debian-installer
Priority: optional
Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Max Vozeler <xam@debian.org>
Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto

Package: partman-crypto
XC-Package-Type: udeb
Architecture: any
Depends: partman-base (>= 124), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
Description: Add to partman support for block device encryption

Package: partman-crypto-dm
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, crypto-modules, crypto-dm-modules, cryptsetup-udeb
Description: Add to partman support for dm-crypt encryption

Package: partman-crypto-loop
XC-Package-Type: udeb
Architecture: all
Depends: partman-crypto, loop-aes-modules, mount-aes-udeb, gnupg-udeb
Description: Add to partman support for loop-AES encryption

## partman-crypto 36ubuntu5

=== debian/changelog ===
partman-crypto (36ubuntu5) jaunty; urgency=low

  * Update Ubuntu-specific strings from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 09 Apr 2009 02:18:27 +0100

partman-crypto (36ubuntu4) jaunty; urgency=low

  * Honour partman/default_filesystem. Requires partman-base 128ubuntu6.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 09 Feb 2009 22:32:03 +0100

partman-crypto (36ubuntu3) jaunty; urgency=low

  * Use UUIDs only if available, fixing key types other than passphrase
    since only LUKS actually has a UUID (LP: #321732).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jan 2009 01:38:06 +0000

partman-crypto (36ubuntu2) jaunty; urgency=low

  * Handle dm_mod and dm_crypt specially in crypto_load_module, to cope with
    them being built-in (LP: #314168).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 06 Jan 2009 15:54:52 +0000

partman-crypto (36ubuntu1) jaunty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 10 Nov 2008 12:14:35 +0000

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: partman-crypto
 Section: debian-installer
 Priority: optional
-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
+Maintainer: Ubuntu Installer Team <ubuntu-installer@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Max Vozeler <xam@debian.org>
 Build-Depends: debhelper (>= 5.0.25), po-debconf (>= 0.5.0)
-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+XS-Debian-Vcs-Svn: svn://svn.debian.org/d-i/trunk/packages/partman/partman-crypto
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/partman-crypto/ubuntu
 
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 124), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 128ubuntu6), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm

## partman-crypto 37ubuntu3

=== debian/changelog ===
partman-crypto (37ubuntu3) karmic; urgency=low

  * Update translations from Launchpad.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 01 Sep 2009 13:22:18 +0100

partman-crypto (37ubuntu2) karmic; urgency=low

  * Add a menu under "Configure encrypted volumes", making this more in line
    with partman-lvm and partman-md.
  * Rearrange crypto configuration per the
    foundations-karmic-server-installer-improvements specification. Instead
    of requiring partitions to be set for use as physical volumes for
    encryption first, we now offer all partitions that could be used as
    physical volumes, and automatically set them up that way on request.
    (Unlike LVM and RAID, we still offer the configuration menu for each
    partition being newly set up this way, since it's the only opportunity
    the user will have to change encryption settings.) This allows us to
    offer our main menu option more or less all the time, and should require
    many fewer keystrokes to operate.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 20 Jul 2009 11:59:07 +0100

partman-crypto (37ubuntu1) karmic; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Write out /etc/crypttab using UUIDs, like we do for /etc/fstab.
    - Skip loading partman-crypto-loop for now, as we don't support it in
      Ubuntu.
    - Disable partition erasing by default, as it's very slow and only of
      moderate value.
    - Warn that the passphrase cannot be recovered if lost.
    - Handle dm_mod and dm_crypt specially in crypto_load_module, to cope
      with them being built-in.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 16 Jun 2009 11:58:42 +0100

partman-crypto (37) unstable; urgency=low

  [ Colin Watson ]
  * Merge from Ubuntu:
    - Honour partman/default_filesystem. Requires partman-base 129.
  * Use 'printf %s' rather than 'echo -n' for portability, to ease testing
    under different shells.

  [ Updated translations ]
  * Asturian (ast.po) by Marcos Alvarez Costales
  * Bengali (bn.po) by Md. Rezwan Shahid
  * Estonian (et.po) by Mattias Põldaru
  * Basque (eu.po) by Piarres Beobide
  * Galician (gl.po) by marce villarino
  * Hindi (hi.po) by Kumar Appaiah
  * Italian (it.po) by Milo Casagrande
  * Kazakh (kk.po) by Dauren Sarsenov
  * Malayalam (ml.po) by Praveen Arimbrathodiyil
  * Marathi (mr.po) by Sampada
  * Russian (ru.po) by Yuri Kozlov
  * Tagalog (tl.po) by Eric Pareja
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke

 -- Christian Perrier <bubulle@debian.org>  Sat, 13 Jun 2009 08:01:52 +0200

partman-crypto (36ubuntu6) karmic; urgency=low

  * Use block-attr from di-utils 1.68.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 12 May 2009 17:33:36 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 Package: partman-crypto
 XC-Package-Type: udeb
 Architecture: any
-Depends: partman-base (>= 128ubuntu6), cdebconf-udeb (>= 0.133), ${shlibs:Depends}, ${misc:Depends}
+Depends: partman-base (>= 129), cdebconf-udeb (>= 0.133), di-utils (>= 1.68), ${shlibs:Depends}, ${misc:Depends}
 Description: Add to partman support for block device encryption
 
 Package: partman-crypto-dm
